// This file describes the structure used to communicate with the nfspd daemon
//
// Authors: NFSP team
// Date: 2002/07
// Licence: GPLv2

#ifndef __NFSPD_STUB_H__
#define __NFSPD_STUB_H__ 1

#include <netinet/in.h>

#define NFSP_MAGIC		0x42434446

#define NFSP_ADD_IOD		0
#define NFSP_FREE_IOD		1
#define NFSP_BIND		2
#define NFSP_UNBIND		3
#define NFSP_SETNBVIODS		4
#define NFSP_GETNBVIODS		5
#define NFSP_DROP		6
#define NFSP_FORWARD		7
#define NFSP_FLUSH		8
#define NFSP_GET_VIOD_SIZE	9

typedef struct message_t {
	int magic;
	int fnct;
	int ih;
	int iviod;
	struct sockaddr_in addr;
	int nbviods;
} message_t;

#define SOCK_CTL_ENV_VAR "HOME"
#define SOCK_CTL_NAME "iod_mgmt2nfspd.ctl"

#endif

