#include <stdio.h>
#include <arpa/inet.h>

#include "nfspdctl.h"

#define RET(x) do { printf("Client: return status = %d\n", (x)); } while (0)

int main(int argc, char *argv[]) {
	int ret;
	struct sockaddr_in sin;

	ret = nfspd_initialize();
	RET(ret);


	sin.sin_addr.s_addr = inet_addr("1.2.3.4");
	ret = nfspd_addiod(&sin);
	RET(ret);

	ret = nfspd_freeiod(42);
	RET(ret);

	ret = nfspd_bindiod(12,34);
	RET(ret);

	ret = nfspd_unbindiod(56);
	RET(ret);

	ret = nfspd_setnbviods(78);
	RET(ret);
	
	ret = nfspd_getnbviods();
	RET(ret);
	
	ret = nfspd_drop();
	RET(ret);
	ret = nfspd_forward();
	RET(ret);
	ret = nfspd_flush();
	RET(ret);
	

	
	ret = nfspd_terminate();
	RET(ret);

	return 0;
}
